-- Main PMM table
CREATE TABLE IF NOT EXISTS PMM (
	sessionId varchar(250) CHARACTER SET binary NOT NULL,
	param     varchar(250) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
	val       varchar(255) CHARACTER SET binary,
	PRIMARY KEY (sessionId, param)
) TYPE=InnoDB;

-- Saved PMM params from last migration session (defaults)
CREATE TABLE IF NOT EXISTS PMMDefault (
	param varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
	val   varchar(255) CHARACTER SET binary,
	PRIMARY KEY (param)
) TYPE=InnoDB;
